aboutsummaryrefslogtreecommitdiff
path: root/ci-tests/create-ci-binary-tarball
diff options
context:
space:
mode:
authorAndrew Waterman <andrew@sifive.com>2022-10-17 13:51:59 -0700
committerAndrew Waterman <andrew@sifive.com>2022-10-17 13:51:59 -0700
commit68aeeb5500521ff52c216862f9a653b64191f3ad (patch)
tree407230ff48f79f177a792451598d9b2b6e3d34a0 /ci-tests/create-ci-binary-tarball
parent191634d2854dfed448fc323195f9b65c305e2d77 (diff)
parent03be4ae6c7b8e9865083b61427ff9724c7706fcf (diff)
downloadspike-68aeeb5500521ff52c216862f9a653b64191f3ad.zip
spike-68aeeb5500521ff52c216862f9a653b64191f3ad.tar.gz
spike-68aeeb5500521ff52c216862f9a653b64191f3ad.tar.bz2
Merge branch 'master' into plic_uart_v1plic_uart_v1
Diffstat (limited to 'ci-tests/create-ci-binary-tarball')
-rwxr-xr-xci-tests/create-ci-binary-tarball20
1 files changed, 20 insertions, 0 deletions
diff --git a/ci-tests/create-ci-binary-tarball b/ci-tests/create-ci-binary-tarball
new file mode 100755
index 0000000..b4fa545
--- /dev/null
+++ b/ci-tests/create-ci-binary-tarball
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+
+rm -rf build
+
+mkdir -p build/pk && cd "$_"
+`git rev-parse --show-toplevel`/../riscv-pk/configure --host=riscv64-unknown-elf
+make -j4
+cd -
+
+mkdir -p build/hello && cd "$_"
+riscv64-unknown-elf-gcc -O2 -o hello `git rev-parse --show-toplevel`/ci-tests/hello.c
+cd -
+
+mv build/pk/pk .
+mv build/hello/hello .
+
+tar -cf spike-ci.tar pk hello
+
+rm pk hello